# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`doas`](#doas): configure doas

**Defined types**

* [`doas::entry`](#doasentry): Create an entry in the doas configfile

## Classes

### doas

define doas config on OpenBSD

#### Examples

##### 

```puppet
include doas
```

#### Parameters

The following parameters are available in the `doas` class.

##### `configfile`

Data type: `String`

the configuration file to put the entries in

Default value: '/etc/doas.conf'

##### `entries`

Data type: `Hash`

entries to append to the doas.conf file
this parameter has lookup_options set to hash !!

Default value: {}

##### `owner`

Data type: `String`

owner of $configfile

Default value: 'root'

##### `group`

Data type: `String`

group of $configfile

Default value: 'wheel'

##### `mode`

Data type: `String`

mode of $configfile

Default value: '0555'

## Defined types

### doas::entry

Create an entry in the doas configfile

#### Parameters

The following parameters are available in the `doas::entry` defined type.

##### `order`

Data type: `String`

order to append

Default value: $title

##### `action`

Data type: `Enum['permit','deny']`

The action to be taken if this rule matches

Default value: 'permit'

##### `options`

Data type: `Array`

Array of options

Default value: []

##### `identity`

Data type: `String`

The username to match.

##### `as_target`

Data type: `String`

The target user the running user is allowed to run the
command as.

##### `command`

Data type: `String`

the command to run

##### `target`

Data type: `String`

target to  append the configuration

##### `args`

Data type: `Array`

needed arguments
Hint: to allow command only without arguments, set to ['']!
the default allows any arguments

Default value: []

##### `setenvs`

Data type: `Array`



Default value: []

